#################################################
################# Login Window  #################
#################################################
# The Login image
# suggested image dimensions 244 x 188 pixels
MAIN_IMAGE = images/spark.gif
SHORT_NAME = Spark

USER_DIRECTORY_WINDOWS = Spark
USER_DIRECTORY_LINUX = .Spark
USER_DIRECTORY_MAC = Library/Application Support/Spark

LOGIN_DIALOG_BACKGROUND_IMAGE =  images/login_dialog_background.png
TOP_BOTTOM_BACKGROUND_IMAGE = images/top_bottom_background_image.png

# Specify a fixed Hostname
# Changing the Hostname will also be prohibited if set
HOST_NAME =
# Set true if you dont want user to change the server
HOST_NAME_CHANGE_DISABLED = false
# Proxy Settings
# Protocols are HTTP or SOCKS , case sensitive!!!
PROXY_PROTOCOL =
PROXY_HOST =
PROXY_PORT =

# Remove account creation Button from login window
# Users wont be able to register new Accounts from within Spark
ACCOUNT_DISABLED =
# Remove Advanced Configuration Button from login window
# Users wont be able to access the advanced configuration
ADVANCED_DISABLED =

# Force using hostname or version as a resource (both are "false" by default; only one can be
# "true" at a time; if both are "true", then hostname will be used as a resource)
USE_HOSTNAME_AS_RESOURCE = false
USE_VERSION_AS_RESOURCE = false

# When enabled, it removes history from the chat window and doesn't save history into transcript files. Also removes history
# settings from the preferences, removes history button from the chat window and contact's history context menu.
HISTORY_DISABLED = false
# When enabled, it hides history settings from the preferences and removes Clear button from the context menu in the Chat window
HIDE_HISTORY_SETTINGS = false

#If Advanced preferences is enabled you are able to remove tabs, except the "General" tab
#Removes SSO Tab
SSO_DISABLED = false
#Removes PKI Tab
PKI_DISABLED = false
#Removes Proxy Tab
PROXY_DISABLED = false
#Removes Certificates Tab
CERTIFICATES_MANAGER_DISABLED = false
#Removes Mutual Authentication Tab
MUTUAL_AUTH_DISABLED = false

#
# This are default settings in LoginSettingsDialog tabs
# General
HOST_AND_PORT_CONFIGURED = false
XMPP_PORT = 5222
TIME_OUT = 10
COMPRESSION_ENABLED = false
DEBUGGER_ENABLED = false
#Security tab
DISABLE_HOSTNAME_VERIFICATION = false
ALLOW_CLIENT_SIDE_AUTH = false
SECURITY_MODE = ifpossible
OLD_SSL_ENABLED = false
#PROXY
PROXY_ENABLED = false
#SSO
USE_SSO = false
USE_SASL_GSS_API_SMACK_3_COMPATIBLE = false
SSO_METHOD = file
# Certificate ManagerSettingsPanel
ACCEPT_EXPIRED = false
ACCEPT_NOT_VALID_YET = false
ACCEPT_SELF_SIGNED = false
ACCEPT_REVOKED = false
CHECK_CRL = true
CHECK_OCSP = false
ALLOW_SOFT_FAIL = true


# Show Password Reset Button on LoginDialog.
# !!!! This will replace the "register new user" button, please set ACCOUNT_DISABLED = true !!!!
PASSWORD_RESET_ENABLED = false
# URL to your password reset html
PASSWORD_RESET_URL =
# Hides Save Password and Auto Login checkboxes on the Login screen and in the Preferences
HIDE_SAVE_PASSWORD_AND_AUTO_LOGIN = false

# Branding only
# Branded images appear in the Top-Right corner, and must be included in the classpath
# place them in src/resource/images and path will be "images/file.jpg"
# BRANDED_IMAGE = images/my-corporation-logo.png
BRANDED_IMAGE =

# Shows a powered by logo below the Main Image of Spark
SHOW_POWERED_BY =
# Disables updatability, you should set this, if you have a custom Spark-build
# or are in an environment where install files are distributed via network
DISABLE_UPDATES =

# If true, Spark cannot shut down
# users wont be able to shut down Spark
DISABLE_EXIT =

# If true, hides "Login as invisible" checkbox on the login screen
HIDE_LOGIN_AS_INVISIBLE = false

HIDE_LOGIN_ANONYMOUSLY = false

# If true, the "Preferences" menu item will be disabled
DISABLE_PREFERENCES_MENU_ITEM = false

# This allows an administrator to override the DISABLE_PREFERENCES_MENU_ITEM setting
# The "Preferences" menu item will become enabled when the specified file exists
# Specify the maintenance path/file here (i.e. \\\\server\\share\\filename.ext)
# It is best to place this file on a read-only network share
MAINTENANCE_FILE_PATH =

# If true, don't allow user to manually change presence status
DISABLE_PRESENCE_STATUS_CHANGE = false

# If true, disable all "Broadcast" menu items
DISABLE_BROADCAST_MENU_ITEM = false

#if true, hide Start a chat option in Actions menu
HIDE_START_A_CHAT = false

# If true, remove the "Avatar" tab in profile dialog
DISABLE_AVATAR_TAB = false

# If true, disable the "Plugins" menu item
DISABLE_PLUGINS_MENU_ITEM = false

# If true, disable the option to transfer files and images
DISABLE_FILE_TRANSFER = false

# If true, disable the option to remove contacts and groups in roster
DISABLE_REMOVALS = false

# If true, disable the option to rename contacts and groups in roster
DISABLE_RENAMES = false

# If true, disable the options to move and copy contacts
DISABLE_MOVE_AND_COPY = false

# If true, disable the option to edit the profile
DISABLE_EDIT_PROFILE = false

# If true, disable the "View notes" option under "Actions"
DISABLE_VIEW_NOTES = false

# If true, disable the "View task list" option under "Actions"
DISABLE_VIEW_TASK_LIST = false

# If true, do not allow modify the Idle Settings and set client values for Idle Settings.
IDLE_LOCK = false

# Idle time, default value = 5min
IDLE_TIME = 5

#################################################
################## File Transfer ################
#################################################

# Specify a size on which Users will get a
# warning of a possibly too big file
# 10MB  = 10485760
# 100MB = 104857600
# 1GB   = 1073741824
# default = -1 (infinity)
# maximum is 9223372036854775806 byte = 8388608TB
FILE_TRANSFER_WARNING_SIZE = -1

# Specify the Maximum file size to be permitted to send
# 10MB  = 10485760
# 100MB = 104857600
# 1GB   = 1073741824
# default = -1 (infinity)
# maximum is 9223372036854775806 byte = 8.388.608 TB
FILE_TRANSFER_MAXIMUM_SIZE = -1

# Force in-band bytestream only.
FILE_TRANSFER_IBB_ONLY = true

# Automatically accept file transfer offers from people that have presence subscription
FILE_TRANSFER_AUTO_ACCEPT_PRESENCE = false

#################################################
################## Main Window ##################
#################################################
# [Not yet implemented:]
# Changing this wont have any effect
# Roster Management
#HOVER_TEXT_COLOR =
#TEXT_COLOR =
#CONTACT_GROUP_START_COLOR =
#CONTACT_GROUP_END_COLOR =
#TAB_START_COLOR =
#TAB_END_COLOR =
# [/NYI]
#################################################
################ Settings Window ################
#################################################

# Disables adding of contacts
# The User wont be able to add contacts,
# useful for shared roster management
ADD_CONTACT_DISABLED =
# Disables adding contact groups
# The User wont be able to add contact groups,
# useful for shared roster management
ADD_CONTACT_GROUP_DISABLED =

# Change Password Disabled
# Users wont be able to change their password
CHANGE_PASSWORD_DISABLED =

# Sets the Location of the User's guide
#Default is http://www.igniterealtime.org/builds/spark/docs/spark_user_guide.pdf
HELP_USER_GUIDE = https://discourse.igniterealtime.org/t/spark-user-guide-revised/41731
# Set to true, if you don't want this displayed
HELP_USER_GUIDE_DISABLED =
# Sets the Location of the Help-Forum
#Default is http://www.igniterealtime.org/forum/forum.jspa?forumID=49
HELP_FORUM = https://discourse.igniterealtime.org/c/spark/spark-support
# Set to true, if you don't want this displayed
HELP_FORUM_DISABLED =
# Following Text will be displayed instead of "Spark forum"
# leave blank for default
HELP_FORUM_TEXT =

#################################################
############### About Box Window ################
#################################################

# Version and Developer Info
# Note: Application name and Version are always displayed

# Display Version and Developer Info
# 'true' or 'false'
DISPLAY_DEV_INFO = true
# Leave blank for auto-detect
JAVA_VERSION =

# Set additional About Box information
# About Box dynamically resizes depending on number of lines and length of text
# Leave blank to omit line and shift lines upwards
APPLICATION_INFO1 = Ignite Realtime
APPLICATION_INFO2 =
APPLICATION_INFO3 =
# Clickable Link - must be a valid and complete URL
# Ex: http://www.igniterealtime.org/
APPLICATION_LICENSE_LINK = http://www.igniterealtime.org/builds/spark/docs/latest/LICENSE.html
APPLICATION_LICENSE_LINK_TXT = Apache License, Version 2.0
APPLICATION_INFO4 =
# Clickable Link - must be a valid and complete URL
# Ex: http://www.igniterealtime.org/
APPLICATION_LINK = http://www.igniterealtime.org/
APPLICATION_LINK_TXT = www.igniterealtime.org

#################################################
################     Plugins     ################
#################################################

# This is the default location where Plugins can be downloaded from
# for a sample structure see trunk/documentation/sample_plugin_repository.xml
# default: http://www.igniterealtime.org/updater/plugins.jsp
PLUGIN_REPOSITORY = http://www.igniterealtime.org/updater/plugins.jsp
# Use Sparks global Proxy to connect to the repository?
# if your repository lies within your network, this probably needs to be disabled
# default: true
PLUGIN_REPOSITORY_USE_PROXY = true
#http://www.igniterealtime.org/updater/plugins.jsp
# Disable Installing of Plugins
# set true if you want to disable installing of Plugins
INSTALL_PLUGINS_DISABLED =
# Disable deleting of Plugins
# set true if you want to disable uninstalling of Plugins
UNINSTALL_PLUGINS_DISABLED =
# Put plugins here that you don't want enabled
# comma separated, case insensitive
# names of plugins can be found in the plugin.xml
# example: Fastpath,Jingle Client,Phone Client,Window Flashing Plugin
# default is empty
PLUGIN_BLACKLIST =
# Disable Plugins by entry point Class
# Comma separated, case sensitive
# example org.jivesoftware.fastpath.FastpathPlugin
# default is empty
PLUGIN_BLACKLIST_CLASS =


#################################################
#########     Color + LookAndFeel     ###########
#################################################

# by Default Server-Broadcast get their own JFrame containing the Message
# also HTML tags like <b> <i> <u> can be used
# if you want server broadcasts handled like every other message including transcripts
# set this to true
BROADCAST_IN_CHAT_WINDOW = false
# Disable Look&Feel change || "true" = disabled ,  anything else = enabled
# By Default the user can Change his Look&Feel in the Preferences Menu,
# if you don't want this then set it to true
# Preferences -> Appearance -> Customization Tab
LOOK_AND_FEEL_DISABLED =
# Disable if you don't want Users to be able to Change the text colors in the Preference Menu
# the colors will be loaded from below
# Preferences -> Appearance -> ColorTab
CHANGE_COLORS_DISABLED =
# Changes the Default Look&Feel, if empty it will load the SystemSkin
# Default Spark skin is org.jivesoftware.spark.ui.themes.lafs.SparkLightLaf
DEFAULT_LOOK_AND_FEEL = org.jivesoftware.spark.ui.themes.lafs.SparkLightLaf
DEFAULT_LOOK_AND_FEEL_MAC = org.jivesoftware.spark.ui.themes.lafs.SparkMacLightLaf

# tabs are placed on bottom by default. if set to true will be placed on top
TABS_PLACEMENT_TOP =

# the person search field is displayed by default. if set to true the search field will
# not be displayed
HIDE_PERSON_SEARCH_FIELD =

# Below are Single Color Elements
# They are Stored as RedValue,GreenValue,BlueValue,AlphaValue
# Ranging from 0 - 255
# an Alpha value of 255 means it is completely opaque
# an Alpha value of 0 means it is transparent 
# all values must be set or it will produce errors
# they are preconfigured to look nice with the Windows theme or the SubstanceBusinessBlueSteel Look
ChatInput.SelectedTextColor = 255,255,255,255
ChatInput.SelectionColor = 10,36,106,255
ContactItemNickname.foreground = 0,0,0,255
ContactItemDescription.foreground = 128,128,128,255
ContactItem.background = 255, 255, 255,255
ContactItemOffline.color = 128,128,128,255
Link.foreground = 0,0,255,255
List.selectionBackground = 217,232,250,255
List.selectionForeground = 0,0,0,255
List.selectionBorder = 187,195,215,255
List.foreground = 0,0,0,255
List.background = 255,255,255,255
TextField.lightforeground = 128,128,128,255
TextField.foreground = 0,0,0,255
TextField.caretForeground = 0,0,0,255
TextPane.foreground = 0,0,0,255
TextPane.background = 255,255,255,255
TextPane.inactiveForeground = 255,255,255,255
TextPane.caretForeground = 0,0,0,255
MenuItem.selectionBackground = 217,232,250,255
MenuItem.selectionForeground = 0,0,0,255
Table.foreground = 0,0,0,255
Table.background = 255,255,255,255
## ChatWindow Colors: ##
Message.foreground = 0,0,0,255
Address.foreground = 212,160,0,255
User.foreground = 0,0,255,255
OtherUser.foreground = 255,0,0,255
Notification.foreground = 0,128,0,255
Error.foreground = 255,0,0,255
Question.foreground = 255,0,0,255
History.foreground = 64,64,64,255
SparkTabbedPane.startColor = 236,236,236,255
SparkTabbedPane.endColor = 236,236,236,255
SparkTabbedPane.borderColor = 192,192,192,255
Chat.activeTabColor = 0,0,0,255
Chat.inactiveTabColor = 80,80,80,255
Chat.unreadMessageColor = 255,0,0,255
